Skip to main content
GET
/
api
/
users
Get users
curl --request GET \
  --url https://admin.snagsolutions.io/api/users \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://admin.snagsolutions.io/api/users"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://admin.snagsolutions.io/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isSnagSuperAdmin": true,
      "walletAddress": "<string>",
      "temporaryLoyaltyUser": true,
      "privyUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "notifications": true,
      "delegationsFrom": [
        {
          "walletAddress": "<string>"
        }
      ],
      "userMetadata": [
        {
          "emailAddress": "<string>",
          "emailVerifiedAt": "<string>",
          "discordUser": "<string>",
          "discordVerifiedAt": "<string>",
          "twitterUser": "<string>",
          "twitterVerifiedAt": "<string>",
          "instagramUser": "<string>",
          "instagramVerifiedAt": "<string>",
          "logoUrl": "<string>",
          "displayName": "<string>",
          "location": "<string>",
          "bio": "<string>",
          "portfolioUrl": "<string>",
          "meta": "<string>",
          "userGroupId": "<string>",
          "walletGroupIdentifier": "<string>",
          "twitterUserFollowersCount": 123,
          "telegramUserId": "<string>",
          "telegramVerifiedAt": "<string>",
          "telegramUsername": "<string>",
          "isBlocked": true,
          "steamUserId": "<string>",
          "steamUsername": "<string>",
          "externalLoyaltyScore": "<string>",
          "epicUsername": "<string>",
          "epicAccountIdentifier": "<string>",
          "googleUserId": "<string>",
          "googleUser": "<string>",
          "YTChannelId": "<string>",
          "tiktokUser": "<string>",
          "tiktokUserId": "<string>",
          "redditUserId": "<string>",
          "redditUser": "<string>",
          "githubUser": "<string>",
          "githubUserId": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "verifiedLocallyAt": "<string>"
        }
      ],
      "websiteUserAttributes": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "label": "<string>",
          "websiteUserAttributeValues": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "value": "<string>",
              "websiteUserAttributeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        }
      ],
      "referrers": [
        {
          "eligible": true,
          "user": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "walletAddress": "<string>"
          },
          "referralCode": {
            "user": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "walletAddress": "<string>"
            }
          }
        }
      ]
    }
  ],
  "hasNextPage": true
}
{
"message": "Request body is invalid"
}
"Forbidden, Could not validate api key"
{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

websiteId
string<uuid>

The ID of the website

Example:

"123e4567-e89b-12d3-a456-426614174000"

organizationId
string<uuid>

The ID of the organization

Example:

"123e4567-e89b-12d3-a456-426614174001"

walletAddress
string

The wallet address of the user

Example:

"0x1234567890abcdef1234567890abcdef12345678"

startingAfter
string<uuid>

Pagination cursor to start after a specific user ID

Example:

"123e4567-e89b-12d3-a456-426614174020"

limit
integer

Number of users to return

Required range: 1 <= x <= 1000
Example:

10

twitterUser
string

Twitter username of the user

Example:

"elonmusk"

discordUser
string

Discord username of the user

Example:

"elonmusk"

steamUsername
string

Steam username of the user

Example:

"elonmusk"

steamUserId
string

Steam ID of the user

Example:

"1234567890"

telegramUsername
string

Telegram username of the user

Example:

"elonmusk"

telegramUserId
string

Telegram ID of the user

Example:

"1234567890"

tiktokUser
string

TikTok username of the user

Example:

"elonmusk"

redditUser
string

Reddit username of the user

Example:

"elonmusk"

redditUserId
string

Reddit ID of the user

Example:

"1234567890"

emailAddress
string<email>

Email address of the user

includeDelegation
boolean
default:false

Whether to include delegations in the response

Example:

true

userGroupId
string<uuid>

The ID of the user group

Example:

"123e4567-e89b-12d3-a456-426614174002"

userGroupExternalIdentifier
string

External identifier for the user group controlled by you

externalIdentifier
string

External identifier for the user

Example:

"123e4567"

address
string

The address of the user

Example:

"0x1234567890abcdef1234567890abcdef12345678"

userId

The ID of the user

Example:

"123e4567-e89b-12d3-a456-426614174001"

Response

200

data
User Response · object[]
required

Schema for users response

hasNextPage
boolean
required

Indicates if there is a next page of results